import Phaser from "phaser";
import mountainImage from '../../assets/mountain.png';
import martySkiLeftImage from '../../assets/marty-ski-left.png';
import martySkiRightImage from '../../assets/marty-ski-right.png';
import martySkiStraightImage from '../../assets/marty-ski-straight.png';
import martyHurtImage from '../../assets/marty-ski-hurt.png';
import treeImage from '../../assets/tree.png';
import restartImage from '../../assets/restart.png';
import gameOverImage from '../../assets/game-over.png';
import playImage from '../../assets/playbutton.svg';
//@ts-ignore
import hitSoundOgg from '../../assets/hit.ogg';
//@ts-ignore
import hitSoundM4a from '../../assets/hit.m4a';
//@ts-ignore
import jumpSoundOgg from '../../assets/jump.ogg';
//@ts-ignore
import jumpSoundM4a from '../../assets/jump.m4a';
//@ts-ignore
import progressSoundOgg from '../../assets/reach.ogg';
//@ts-ignore
import progressSoundM4a from '../../assets/reach.m4a';
import flagsImage from '../../assets/flags.png';
class PreloadScene extends Phaser.Scene {
    constructor() {
        super("PreloadScene");
    }
    preload() {
        this.load.image("mountain", mountainImage);
        this.load.image("marty-ski-left", martySkiLeftImage);
        this.load.image("marty-ski-right", martySkiRightImage);
        this.load.image("marty-ski-straight", martySkiStraightImage);
        this.load.image("marty-ski-hurt", martyHurtImage);
        this.load.image("flags", flagsImage);
        this.load.image("tree", treeImage);
        this.load.image("restart", restartImage);
        this.load.image("game-over", gameOverImage);
        this.load.image("play", playImage);
        this.load.audio("hit", [hitSoundOgg, hitSoundM4a]);
        this.load.audio("jump", [jumpSoundOgg, jumpSoundM4a]);
        this.load.audio("progress", [progressSoundOgg, progressSoundM4a]);
    }
    create() {
        this.scene.start("PlayScene");
    }
}
export default PreloadScene;
